import { OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { Patch, Platform } from '@bravobit/bb-foundation';
export declare class BbDashboard implements OnInit, OnDestroy {
    private _patch;
    private _platform;
    private _renderer;
    backgroundColor: string;
    maxWidth: string;
    padding: string;
    private sidebarVisible$;
    readonly visibility: import("rxjs").Observable<boolean>;
    constructor(_patch: Patch, _platform: Platform, _renderer: Renderer2);
    ngOnInit(): void;
    ngOnDestroy(): void;
    toggleSidebarVisibility(): void;
    setSidebarVisibility(newValue: boolean): void;
    private setHtmlClass;
}
